<?php

session_start();

require_once COSMIC_BLOCKS_PLUGIN_DIR.'/assets/stripe/init.php';


$status = 'error';
$message = '';

// Token is created using Checkout or Elements!
// Get the payment token ID submitted by the form:
if(isset($_POST['token']))
{
	$status = 'success';
	
	try {
		// Set your secret key: remember to change this to your live secret key in production
		// See your keys here: https://dashboard.stripe.com/account/apikeys
		\Stripe\Stripe::setApiKey(get_option('cosmic_blocks_donations_stripe_secret'));

		// Token is created using Stripe.js or Checkout!
		// Get the payment token submitted by the form:
		$token = $_POST['token'];
		$amount = $_POST['amount'];

		// charge by token id
		$charge = \Stripe\Charge::create([
			'source' => $token['id'],
			'amount' => $amount,
			'currency' => get_option('cosmic_blocks_donations_stripe_currency'),
			'description' => __('Donation', 'cosmic-blocks')
		]);
	}
	catch(Exception $e)
	{
		$status = 'error';
		$message = $e->getMessage();
	}
}

// send status back
echo json_encode([
	'status' => $status,
	'message' => $message
]);